@import url('https://fonts.googleapis.com/css?family=Titillium+Web:300,400,600,700');
@import url('https://fonts.googleapis.com/css?family=Boogaloo|Concert+One|Oswald:300,400,700');
*{
	box-sizing: border-box;
}

.megamenu{
	margin: 0;
	padding: 0 100px;
	width: 100%;
	list-style: none;
	display: inline-block;
	position:relative;
	font-family: 'Oswald', sans-serif;
	font-size: 16px;
	z-index: 1001;
	background: #289fa5;
	border-radius: 5px;
	box-shadow: 0 3px 14px 0 rgba(0, 0, 0, 0.2);
}
.megamenu li{
	float: left;
	display:inline;
}
.megamenu > li > a{
	height: 60px;
	line-height: 60px;
	float: left;
	padding: 0 35px;
	color: #fff;
	text-decoration: none;
	text-transform: uppercase;
	transition: all 0.5s;
	letter-spacing: .8px;
	font-weight: 500;
}
.megamenu > li:hover > a,
.megamenu > li.active > a{
	background: #a9649b;
}

.megamenu > li.active > a{
	background: red;
}


/* DROPDOWN CONFIGURATION
-----------------------------*/
.megamenu .dropdown, 
.megamenu .dropdown li .dropdown {
	list-style: none;
    margin: 0;
    padding: 0; 
	display: none;
    position: absolute;
    z-index: 999;
	width:200px;
	background: #fff;

}
.megamenu .dropdown {
    top: 60px;
}
.megamenu .dropdown li .dropdown {
    left: 160px;
	top: inherit;
	margin-top: -1px;
}
.megamenu .dropdown li {
	clear:both;
	width:100%;
}
.megamenu .dropdown li:last-child {
	border-bottom: none;
}
.megamenu .dropdown li a {
	float:left;
	width:100%;
	padding:10px 25px;
	text-decoration:none;
	display:block;
	border-bottom: 1px solid #ccc;
	font-size: 12px;
	color: #a9649b;
	font-weight: 600;
	background:none;
	transition: all 0.5s;
	font-size: 16px;
	font-family: 'Oswald', sans-serif;
	font-weight: 500;
}
.megamenu .dropdown li:hover > a {
	color: #289fa5;
	;
}

/* MEGAPANEL CONFIGURATION
-----------------------------*/
.megamenu > li > .megapanel{
	position: absolute;
	display: none;
	background: #fff;
	width: 100.2%;
	top: 58px;
	left: -1px;
	z-index: 99;
	padding: 20px 30px 20px;
	border: solid 1px #cccccc;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.megamenu  .megapanel ul{
	margin: 0;
	padding: 0;
}
.megamenu  .megapanel img{
	width: 100%;
	border: solid 1px #dedede;
	cursor: pointer;
	-webkit-transition: border 0.3s linear; 
	-moz-transition: border 0.3s linear;
	-o-transition: border 0.3s linear;
	transition: border 0.3s linear;
}
.megamenu  .megapanel img:hover{
	border: solid 1px #777;
}

/* FORM CONFIGURATION
-----------------------------*/
.megamenu form.contact input,
.megamenu form.contact textarea{
	font-family: Calibri, Arial;
	font-size: 16px;
	color: #444;
	outline: none;
}
.megamenu form.contact input[type="text"],
.megamenu form.contact textarea{
	width: 100%;
	margin-bottom: 20px;
	padding: 5px 10px;
	border: solid 1px #dedede;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-transition: border 0.3s linear; 
	-moz-transition: border 0.3s linear;
	-o-transition: border 0.3s linear;
	transition: border 0.3s linear;
}
.megamenu form.contact input[type="text"]{
	height: 40px;
}
.megamenu form.contact input[type="text"]:focus,
.megamenu form.contact textarea:focus{
	border: solid 1px #999;
}
.megamenu form.contact input[type="submit"]{
	width: 100px;
	height: 35px;
	border: none;
	color: #fff;
	cursor: pointer;
	background: #999;
}

/* GRID SYSTEM
-----------------------------*/
.megapanel .row{
	width: 100%;
	margin-top: 15px;
}

.megamenu > li:nth-child(3) .megapanel .row [class*="col"]{
	background: #ccc;
}

.megapanel .row:first-child {
	margin-top: 0;
}
.megapanel .row:before,
.megapanel .row:after {
	display: table;
	content: "";
	line-height: 0;
}
.megapanel .row:after {
	clear: both;
}
.megapanel .row .col1,
.megapanel .row .col2,
.megapanel .row .col3,
.megapanel .row .col4,
.megapanel .row .col5,
.megapanel .row .col6{
	display: block;
	width: 100%;
	min-height: 20px;
	float: left;
	margin-left: 2.127659574468085%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.megapanel .row [class*="col"]:first-child {
	margin-left: 0;
}
.megapanel .row .col1{
	width: 14.893617021276595%;
}
.megapanel .row .col2{
	width: 31.914893617021278%;
}
.megapanel .row .col3{
	width: 48.93617021276595%;
}
.megapanel .row .col4{
	width: 65.95744680851064%;
}
.megapanel .row .col5{
	width: 82.97872340425532%;
}
.megapanel .row .col6{
	width: 100%;
}

/* COLLAPSIBLE MENU
-------------------------*/
.megamenu > li.showhide{
	display: none;
	width: 100%;
	height: 50px;
	cursor: pointer;
	color: #fff;
	background: #289fa5;
}
.megamenu > li.showhide span.title{
	margin: 15px 0 0 25px;
	float: left;
}
.megamenu > li.showhide span.icon1:after{
	position: absolute;
	content: "";
	right: 25px;
	top: 15px;
	height: 3px;
	width: 25px;
	font-size: 50px;
	border-top: 3px solid #fff;
	border-bottom: 3px solid #fff;
	z-index: 1;
}
.megamenu > li.showhide span.icon2:after{
	position: absolute;
	content: "";
	right: 25px;
	top: 27px;
	height: 3px;
	width: 25px;
	font-size: 50px;
	border-top: 3px solid #fff;
	border-bottom: 3px solid #fff;
	z-index: 1;
}

/* RESPONSIVE LAYOUT
-----------------------------*/
@media (max-width: 1024px) {
	.megamenu > li{
		background: #a9649b;
		display: block;
		width: 100%;
		border-bottom: solid 1px rgba(0, 0, 0, 0.1);
	}
	.megamenu > li:hover,
	.megamenu > li.active{
		border-top: none;
	}
	.megamenu > li > a{
		color: #fff;
	}
	.megamenu > li:hover > a,
	.megamenu > li.active > a{
		background: rgba(0,0,0, .25);
		color: #fff;
	}
	.megamenu a{
		width: 100%;
	}
	.megamenu .dropdown, 
	.megamenu .dropdown li .dropdown{
		width: 100%;
		display: none;
		left: 0;
		border-left: none;
		position: static;
		border: none;
	}
	.megamenu .dropdown li {
		background: #fff !important;
		border: none;
	}
	.megamenu .dropdown > li > a{
		padding-left: 40px !important;
	}
	.megamenu > li > .megapanel{
		position: static;
		margin-top: 50px;
	}
	.megapanel .row [class*="col"]{
		float: none;
		display: block;
		width: 100%;
		margin-left: 0;
		margin-top: 15px;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}
	.megapanel .row:first-child  [class*="col"]:first-child {
		margin-top: 0;
	}
	.megapanel .row{
		margin-top: 0;
	}
	.black { background: #222222; }
	.megamenu > li > ul.dropdown > li > a{ padding-left: 40px !important; }
	.megamenu > li > ul.dropdown > li > ul.dropdown > li > a{ padding-left: 60px !important; }
	.megamenu > li > ul.dropdown > li > ul.dropdown > li > ul.dropdown > li > a{ padding-left: 80px !important; }
}

